> For the complete documentation index, see [llms.txt](https://docs.airops.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.airops.com/actions/workflow-concepts/workflow-steps/content-quality/scan-content-for-plagiarism.md).

# Scan Content for Plagiarism

The "Scan Content for Plagiarism" step allows you to check text for potential plagiarism by comparing it against billions of web pages, academic papers, and other published sources. This powerful tool uses Originality.ai's advanced plagiarism detection technology to help you ensure content originality and avoid copyright issues.

### How to Configure the Scan Content for Plagiarism Step

* **Content**: Input the content you'd like to analyze
* **Domain to Exclude (optional)**: Enter a URL to exclude from the analysis. This is typically your domain given that there is a high likelihood of content overlap between this content and your domain's existing content.

### Output Format

The Scan Content for Plagiarism step returns a JSON object containing detailed analysis results:

```json
{
  "success": true,
  "disclaimer": "If you are trying to scan content that is under 50 words in length, you will run into AI accuracy issues.",
  "public_link": "https://app.originality.ai/share/[ID]",
  "title": "API V1 Scan",
  "total_text_score": "93%",
  "results": [
    {
      "phrase": "phrase one",
      "results": [
        {
          "link": "example.com",
          "title": "title",
          "scores": [
            {
              "score": 1.0000000000000002,
              "sentence": "sentence one"
            }
          ],
          "timestamps": {
            "date_modified": "2024-02-26",
            "date_published": "2024-02-26"
          }
        }
      ]
    },
    
    // Additional results here
    
  ],
  "credits_used": 10,
  "credits": 123,
  "subscription": 123,
  "content": "content here",
  "id": [id]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.airops.com/actions/workflow-concepts/workflow-steps/content-quality/scan-content-for-plagiarism.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
